#include <stdio.h>
#include <string>
#include <cstring>
#include <vector>
#include <algorithm>
#include <stdlib.h>
#define LMax 110
using namespace std;

int n;
char l[LMax];

int pot[LMax][LMax][LMax];
// pot[i][j][k] = daca pot gasi o solutie pentru [0, 1, ... j]
// care pune ultimele trei virgule inainte de pozitiile i, j, k
// k < i < j
int spot[LMax][LMax]; // sum(pot[][])

int lleft[LMax]; // pozitii valide pentru 'cel mai din stanga ultim segment'
int rright[LMax]; // de unde vine cea mai din dreapta legatura dinspre solutia optima ca segment final
int v[LMax]; // v[i] = 1 daca voi insera o virgula inainte de pozitia i
vector<string> sols;

int smaller(int i1, int j1, int i2, int j2); // l[i1..j1] < l[i2..j2] ?

int main() {
	freopen("virgule.in", "rt", stdin);
	freopen("virgule.out", "wt", stdout);

	fgets(l, LMax, stdin);
	n = strlen(l)-1;

	for (int j = 0; j < n; j++) {
		pot[0][j][0] = 1; // pot dar nu e bine
		spot[0][j] = 1;
		for (int i = 1; i <= j; i++) { // pot[i][j][] ?
			for (int k = 0; k < i; k++) if (spot[k][i-1] && smaller(k, i-1, i, j)) {
				pot[i][j][k] = 1;
				spot[i][j] = 1;
			}
		}
	}

	int i;
	for (i = n-1; spot[i][n-1] == 0; i--);
	lleft[i] = 1;

	for (i = i-1; i > 0 && l[i] == '0'; i--) if (spot[i][n-1]) {
		lleft[i] = i;
		// la fel de bun, incerc toate in vederea criteriului doi
	}

	for (int le = 0; le < n; le++) if (lleft[le]) {
		memset(rright, 0, sizeof(rright));
		memset(v, 0, sizeof(v));

		rright[le] = n;
		for (int i = le - 1; i >= 0; i--) {
			for (int j = i; j < le; j++) if (rright[j+1] && pot[j+1][rright[j+1]-1][i]) {
				rright[i] = j+1;
			}
		}

		for (int i = 0; i < n; i = rright[i]) v[i] = 1;
		v[0] = 0;

		sols.push_back("");
		for (int i = 0; i < n; i++) {
			if (v[i]) {
				sols[sols.size()-1] += ",";
			}
			sols[sols.size()-1] += l[i];
		}
	}

	sort(sols.begin(), sols.end());
	printf("%s\n", sols[sols.size()-1].c_str());
	
	fclose(stdout);
	return 0;
}

int smaller(int i1, int j1, int i2, int j2) { // l[i1..j1] < l[i2..j2] ?
	while (l[i1] == '0' && i1 < j1) { i1++; }
	while (l[i2] == '0' && i2 < j2) { i2++; }

	if (j1 - i1 < j2 - i2) { return 1; }
	if (j1 - i1 > j2 - i2) { return 0; }

	int i;
	for (i = 0; i1 + i <= j1 && i2 + i <= j2; i++) {
		if (l[i1 + i] < l[i2 + i]) {
			return 1;
		}
		if (l[i1 + i] > l[i2 + i]) {
			return 0;
		}
	}
	return 0;
}
